diff --git a/samples/subsys/logging/syst/CMakeLists.txt b/samples/subsys/logging/syst/CMakeLists.txt
new file mode 100644
index 000000000000..5afb3b133f34
--- /dev/null
+++ b/samples/subsys/logging/syst/CMakeLists.txt
@@ -0,0 +1,7 @@
+# SPDX-License-Identifier: Apache-2.0
+
+cmake_minimum_required(VERSION 3.13.1)
+include($ENV{ZEPHYR_BASE}/cmake/app/boilerplate.cmake NO_POLICY_SCOPE)
+project(syst)
+
+target_sources(app PRIVATE src/main.c)
diff --git a/samples/subsys/logging/syst/prj.conf b/samples/subsys/logging/syst/prj.conf
new file mode 100644
index 000000000000..e740f994eaf6
--- /dev/null
+++ b/samples/subsys/logging/syst/prj.conf
@@ -0,0 +1,20 @@
+CONFIG_LOG=y
+CONFIG_ASSERT=n
+CONFIG_LOG_PRINTK=y
+CONFIG_LOG_BACKEND_UART=y
+CONFIG_LOG_BUFFER_SIZE=1024
+CONFIG_LOG_STRDUP_BUF_COUNT=2
+CONFIG_LOG_STRDUP_MAX_STRING=512
+CONFIG_LOG_MIPI_SYST_ENABLE=y
+CONFIG_LOG_BACKEND_UART_SYST_ENABLE=y
+CONFIG_SOC_LOG_LEVEL_OFF=y
+CONFIG_ARCH_LOG_LEVEL_OFF=y
+CONFIG_KERNEL_LOG_LEVEL_OFF=y
+CONFIG_LOG_RUNTIME_FILTERING=n
+CONFIG_MAIN_THREAD_PRIORITY=5
+CONFIG_LOG_FUNC_NAME_PREFIX_DBG=n
+CONFIG_LOG_PROCESS_THREAD=y
+CONFIG_LOG_PROCESS_THREAD_SLEEP_MS=100
+CONFIG_LOG_PROCESS_TRIGGER_THRESHOLD=2
+CONFIG_LOG_PRINTK_MAX_STRING_LENGTH=256
+CONFIG_LOG_PROCESS_THREAD_STACK_SIZE=4096
diff --git a/samples/subsys/logging/syst/sample.yaml b/samples/subsys/logging/syst/sample.yaml
new file mode 100644
index 000000000000..749a6e65b252
--- /dev/null
+++ b/samples/subsys/logging/syst/sample.yaml
@@ -0,0 +1,11 @@
+sample:
+  name: syst sample
+tests:
+  sample.subsys.logging.syst:
+    platform_whitelist: mps2_an385 sam_e70_xplained
+    tags: logging
+    harness: console
+    harness_config:
+      type: one_line
+      regex:
+        - "SYS-T RAW DATA: "
diff --git a/samples/subsys/logging/syst/src/main.c b/samples/subsys/logging/syst/src/main.c
new file mode 100644
index 000000000000..7dd1f0ab7576
--- /dev/null
+++ b/samples/subsys/logging/syst/src/main.c
@@ -0,0 +1,90 @@
+/*
+ * Copyright (c) 2019 Intel Corporation
+ *
+ * SPDX-License-Identifier: Apache-2.0
+ */
+
+#include <zephyr.h>
+#include <logging/log.h>
+#include <sys/printk.h>
+
+#define DATA_MAX_DLEN 8
+#define LOG_MODULE_NAME syst
+LOG_MODULE_REGISTER(LOG_MODULE_NAME, LOG_LEVEL_DBG);
+
+struct test_frame {
+	u32_t id_type : 1;
+	u32_t rtr     : 1;
+	/* Message identifier */
+	union {
+		u32_t std_id  : 11;
+		u32_t ext_id  : 29;
+	};
+	/* The length of the message (max. 8) in byte */
+	u8_t dlc;
+	/* The message data */
+	union {
+		u8_t data[8];
+		u32_t data_32[2];
+	};
+} __packed;
+
+void main(void)
+{
+	struct test_frame frame = { 0 };
+	const u8_t data[DATA_MAX_DLEN] = { 0x01, 0x02, 0x03, 0x04,
+					0x05, 0x06, 0x07, 0x08 };
+	struct log_msg_ids src_level = {
+		.level = LOG_LEVEL_INTERNAL_RAW_STRING,
+		.source_id = 0, /* not used as level indicates raw string. */
+		.domain_id = 0, /* not used as level indicates raw string. */
+	};
+
+
+	/* standard print */
+	LOG_ERR("Error message example.");
+	LOG_WRN("Warning message example.");
+	LOG_INF("Info message example.");
+	LOG_DBG("Debug message example.");
+
+	for (int i = 0; i <= 4; i++) {
+		switch (i) {
+		case 0:
+			LOG_DBG("Debug message example.");
+			break;
+		case 1:
+			LOG_DBG("Debug message example, %d", 1);
+			break;
+		case 2:
+			LOG_DBG("Debug message example, %d, %d", 1, 2);
+			break;
+		case 3:
+			LOG_DBG("Debug message example, %d, %d, %d", 1, 2, 3);
+			break;
+		case 4:
+			LOG_DBG("Debug message example, %d, %d, %d, 0x%x",
+					1, 2, 3, 4);
+			break;
+		default:
+			break;
+		}
+	}
+
+	/* hexdump */
+	frame.rtr = 1U;
+	frame.id_type = 1U;
+	frame.std_id = 1234U;
+	frame.dlc = sizeof(data);
+	memcpy(frame.data, data, sizeof(data));
+
+	LOG_HEXDUMP_ERR((const u8_t *)&frame, sizeof(frame), "frame");
+	LOG_HEXDUMP_WRN((const u8_t *)&frame, sizeof(frame), "frame");
+	LOG_HEXDUMP_INF((const u8_t *)&frame, sizeof(frame), "frame");
+	LOG_HEXDUMP_DBG((const u8_t *)&frame, sizeof(frame), "frame");
+
+	/* raw string */
+	printk("hello sys-t on board %s\n", CONFIG_BOARD);
+
+	/* log output string */
+	log_string_sync(src_level, "%s", "log string sync");
+}
